<?php

return [

    /**
     * Provider.
     */
    'provider'  => 'b2buy',

    /*
     * Package.
     */
    'package'   => 'scheduler',

    /*
     * Modules.
     */
    'modules'   => ['scheduler'],

    
    'scheduler'       => [
        'model' => [
            'model'                 => \B2buy\Scheduler\Models\Scheduler::class,
            'table'                 => 'schedulers',
            'presenter'             => \B2buy\Scheduler\Repositories\Presenter\SchedulerPresenter::class,
            'hidden'                => [],
            'visible'               => [],
            'guarded'               => ['*'],
            'slugs'                 => ['slug' => 'name'],
            'dates'                 => ['deleted_at', 'createdat', 'updated_at'],
            'appends'               => [],
            'fillable'              => ['id',  'company_id',  'seller_company_id',  'user_id',  'user_type',  'order_id',  'custom_margin_id',  'type',  'is_checked',  'actual_file_name',  'json_file',  'total_records',  'processed',  'status',  'pagenumber',  'scheduled_on',  'prepend_image_url',  'deleted_at',  'created_at',  'updated_at',  'zip_file',  'exported_file',  'imported_file',  'upload_folder',  'subscription_id'],
            'translatables'         => [],
            'upload_folder'         => 'scheduler/scheduler',
            'uploads'               => [
            /*
                    'images' => [
                        'count' => 10,
                        'type'  => 'image',
                    ],
                    'file' => [
                        'count' => 1,
                        'type'  => 'file',
                    ],
            */
            ],

            'casts'                 => [
            /*
                'images'    => 'array',
                'file'      => 'array',
            */
            ],

            'revision'              => [],
            'perPage'               => '20',
            'search'        => [
                'name'  => 'like',
                'status',
            ]
        ],

        'controller' => [
            'provider'  => 'B2buy',
            'package'   => 'Scheduler',
            'module'    => 'Scheduler',
        ],

    ],
];
